<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button (click)="newRow()" class="btn btn-primary ml-1">
    <i class="fa fa-plus mr-2"></i>Nuevo
  </button>
  <button (click)="getDataSource()" class="btn btn-default">
    <i class="fas fa-sync-alt" [ngClass]="{'fa-spin': !dataGrid}"></i>
  </button>
</app-page-title>


<div class="card">
  <div class="card-body">

    <ng-container *ngIf="!loading">
      <kendo-grid [kendoGridBinding]="dataGrid" [pageSize]="10" [filterable]="true" [skip]="0"
        [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}" [filter]="filter" [selectable]="true" [navigable]="true"
        [reorderable]="true" [resizable]="true" [sort]="sort" [sortable]="true" [groupable]="false"
        style="height: 75vh;">
        <kendo-grid-column field="Tarifa" title="Tarifa" width="140"></kendo-grid-column>
        <kendo-grid-column field="tdesc" title="Descripción" media="md"></kendo-grid-column>
        <kendo-grid-column field="tmon" title="Mon." width="120">
          <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
            let-filterService="filterService">
            <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
              [currentFilter]="filter" [data]="distinctPrimitive(column.field)">
            </multicheck-filter>
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="ttipo" title="T.T." width="120">
          <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
            let-filterService="filterService">
            <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
              [currentFilter]="filter" [data]="distinctPrimitive(column.field)">
            </multicheck-filter>
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="tprom" title="Prom." width="120" sortable="false" media="md">
          <ng-template kendoGridCellTemplate let-dataItem>
            <span *ngIf="dataItem.tprom">Si</span>
            <span *ngIf="!dataItem.tprom">No</span>
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="Inactivo" title="Inactivo" width="120" sortable="false">
          <ng-template kendoGridFilterCellTemplate>
            <kendo-switch (valueChange)="switchChange($event)" offLabel="No" [checked]="checked" onLabel="Si">
            </kendo-switch>
          </ng-template>
          <ng-template kendoGridCellTemplate let-dataItem>
            <span *ngIf="dataItem.Inactivo">Si</span>
            <span *ngIf="!dataItem.Inactivo">No</span>
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-command-column title="Acciones" width="215">
          <ng-template kendoGridCellTemplate let-dataItem>
            <button class="btn btn-info mr-1" (click)="editRow(dataItem)">
              <i class="fas fa-edit mr-2"></i>Editar
            </button>
            <button class="btn btn-danger" (click)="deleteRow(dataItem)">
              <i class="fas fa-trash mr-2"></i>Eliminar
            </button>
          </ng-template>
        </kendo-grid-command-column>
      </kendo-grid>

    </ng-container>

    <app-loading *ngIf="loading">Buscando resultados...</app-loading>

  </div>
</div>


<ng-template #modalAgencias let-c="close" let-d="dismiss" class="animated flipInX">
  <div class="modal-header">
    <div class="modal-title">
      <span *ngIf="flagTarifaAgencia"><i class="fas fa-plane mr-2"></i>Tarifas para Agencias</span>
      <span *ngIf="flagTarifaEmpresa"><i class="fas fa-building mr-2"></i>Tarifas para Empresas</span>

    </div>
    <button class="close" aria-label="Close" (click)="d('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <div class="text-right">
      <button class="btn btn-primary mr-1" (click)="nuevaTarifaAgencia()">
        <i class="fas fa-plus mr-2"></i>Nuevo
      </button>
      <button class="btn btn-success" (click)="guardarTarifaAgencia()">
        <i class="fas fa-save mr-2"></i>Guardar
      </button>
    </div>

    <div class="divider"></div>

    <div class="row">
      <div class="form-group col-4 col-sm-4 col-md-4 col-lg-2">
        <label>Proc.</label>
        <input type="text" class="form-control" [ngModel]="tarifaSelected.proc" [readonly]="true">
      </div>
      <div class="form-group col-4 col-sm-4 col-md-4 col-lg-2">
        <label>Tarifa</label>
        <input type="text" class="form-control" [ngModel]="tarifaSelected.Tarifa" [readonly]="true">
      </div>
      <div class="form-group col-4 col-sm-4 col-md-4 col-lg-2">
        <label>Tipo Tarifa</label>
        <input type="text" class="form-control" [ngModel]="tarifaSelected.ttipo" [readonly]="true">
      </div>
      <div class="form-group col-12 col-sm-12 col-md-12 col-lg-6">
        <label>Código</label>
        <kendo-combobox [data]="dsAgencias" [textField]="'anombre'" [valueField]="'Agencia'" [filterable]="true"
          [valuePrimitive]="true" class="form-control" [(ngModel)]="formAgencia.Agencia" *ngIf="flagTarifaAgencia">
        </kendo-combobox>
        <kendo-combobox [data]="dsEmpresas" [textField]="'enombre'" [valueField]="'Empresa'" [filterable]="true"
          [valuePrimitive]="true" class="form-control" [(ngModel)]="formAgencia.Agencia" *ngIf="flagTarifaEmpresa">
        </kendo-combobox>
      </div>

      <div class="divider"></div>

      <kendo-grid [data]="dataTarifaAgencia" [selectable]="true" (selectionChange)="selectedAgencia($event)"
        style="height: 47vh;">
        <ng-container *ngIf="dataTarifaAgencia.length !== 0">
          <kendo-grid-column field="prov" title="Prov" width="80"></kendo-grid-column>
          <kendo-grid-column field="Agencia" title="Código"></kendo-grid-column>
          <kendo-grid-command-column width="130">
            <ng-template kendoGridCellTemplate let-dataItem>
              <button class="btn btn-danger" (click)="eliminarTarifaAgencia(dataItem)">
                <i class="fas fa-trash-alt mr-2"></i>Eliminar
              </button>
            </ng-template>
          </kendo-grid-command-column>
        </ng-container>
        <ng-template kendoGridNoRecordsTemplate>
          {{ noRecords }}
        </ng-template>
      </kendo-grid>
    </div>
  </div>
  <div class="modal-footer">
    <button class="btn btn-shadow btn-secondary" (click)="c('Close click');">
      Cerrar
    </button>
  </div>
</ng-template>



<ng-template #modalForm let-c="close" let-d="dismiss" class="animated flipInX">
  <div class="modal-header">
    <div class="modal-title">
      <i class="fas fa-calculator mr-2"></i>
      <ng-container *ngIf="!flagEdit">
        NUEVA TARIFA
      </ng-container>
      <ng-container *ngIf="flagEdit">
        EDITAR TARIFA
        <strong> {{ tarifa }}</strong>
        <span *ngIf="proc === 'T'"> (PÚBLICO GRAL)</span>
        <span *ngIf="proc === 'M'"> (MAYORISTA)</span>
      </ng-container>
    </div>
    <button class="close" aria-label="Close" (click)="d('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <div class="row">
      <div class="d-flex justify-content-between mb-2">
        <button *ngIf="flagEdit" (click)="open(formItems, 'A')" [disabled]="myFormGroup.value.Inactivo"
          class="btn btn-light ml-1">
          <i class="fa fa-plane mr-2"></i>Agencias
        </button>
        <button *ngIf="flagEdit" (click)="open(formItems, 'E')" [disabled]="myFormGroup.value.Inactivo"
          class="btn btn-light ml-1">
          <i class="fa fa-building mr-2"></i>Empresas
        </button>
        <button *ngIf="flagEdit" (click)="open(formItems, 'S')" [disabled]="myFormGroup.value.ttipo !== 'P'"
          class="btn btn-light ml-1">
          <i class="fa fa-list mr-2"></i>Suplementos
        </button>
        <button *ngIf="flagEdit" (click)="open(formItems, 'D')" class="btn btn-light ml-1">
          <i class="fa fa-list mr-2"></i>Detalle
        </button>
      </div>
      <div class="col d-flex justify-content-end mb-2">
        <button class="btn btn-shadow btn-success ml-1" [disabled]="myFormGroup.invalid" (click)="guardarForm()">
          <i class="fa fa-save mr-2"></i>Guardar
        </button>
      </div>
    </div>
    <form [formGroup]="myFormGroup" class="form-group">
      <fieldset>
        <kendo-tabstrip tabPosition="top">
          <kendo-tabstrip-tab title="General" [selected]="true">
            <ng-template kendoTabContent>
              <div class="row">
                <div class="form-group col-12 col-sm-4 col-md-3 col-lg-2 col-xl-2">
                  <label>Tarifa</label>
                  <input type="text" class="form-control" formControlName="Tarifa" [readOnly]="flagEdit" maxlength="20" appFocus />
                </div>
                <div class="form-group col-12 col-sm-8 col-md-5 col-lg-5 col-xl-4">
                  <label>Descripción</label>
                  <input type="text" class="form-control" formControlName="tdesc" maxlength="40">
                </div>

                <div class="form-group col-12 col-sm-4 col-md-4 col-lg-3 col-xl-3">
                  <label>Tipo Tarifa</label>
                  <kendo-dropdownlist [data]="tts" [textField]="'title'" [valueField]="'id'" [valuePrimitive]="true"
                    formControlName="ttipo" [attr.disabled]="flagEdit ? 'true' : null"
                    (valueChange)="ListaTipoTarifa($event)" class="form-control">
                  </kendo-dropdownlist>
                </div>
                <div class="form-group col-12 col-sm-5 col-md-4 col-lg-3 col-xl-3">
                  <label>Moneda</label>
                  <kendo-dropdownlist [data]="ttMonedas" [textField]="'mdesc'" [valueField]="'Moneda'"
                    [valuePrimitive]="true" formControlName="tmon" [attr.disabled]="flagEdit ? 'true' : null"
                    class="form-control">
                  </kendo-dropdownlist>
                </div>

                <div class="form-group col-6 col-sm-3 col-md-3 col-lg-2">
                  <label class="w-100">Promoción</label>
                  <kendo-switch formControlName="tprom" (valueChange)="chckPromo($event)"
                    [readonly]="myFormGroup.value.usem">
                  </kendo-switch>
                </div>
                <div class="form-group col-6 col-sm-3 col-md-3 col-lg-2">
                  <label class="w-100">T.F.L.</label>
                  <kendo-switch formControlName="ttfl"></kendo-switch>
                </div>
                <div class="form-group col-6 col-sm-3 col-md-3 col-lg-2">
                  <label class="w-100">Restringida</label>
                  <kendo-switch formControlName="Restringida"></kendo-switch>
                </div>
                <div class="form-group col-6 col-sm-3 col-md-3 col-lg-2">
                  <label class="w-100">C.R. Ver.</label>
                  <kendo-switch formControlName="crv"></kendo-switch>
                </div>
                <div class="form-group col-6 col-sm-3 col-md-3 col-lg-2">
                  <label class="w-100">Internet</label>
                  <kendo-switch formControlName="Internet"></kendo-switch>
                </div>

                <div class="form-group col-12 col-sm-6 col-md-6 col-lg-5">
                  <label>Categoría</label>
                  <kendo-combobox [data]="ttTarcateg" [textField]="'Descripcion'" [valueField]="'tcat'"
                    [valuePrimitive]="true" formControlName="tcat" class="form-control">
                  </kendo-combobox>
                </div>
                <div class="form-group col-12 col-sm-6 col-md-6 col-lg-5">
                  <label>Segmento</label>
                  <kendo-combobox [data]="ttSegmentos" [textField]="'sdesc'" [valueField]="'Segmento'"
                    [filterable]="true" [valuePrimitive]="true" formControlName="Segmento" class="form-control">
                  </kendo-combobox>
                </div>

                <div class="form-group col-12 col-sm-4 col-md-3 col-lg-2 col-xl-2">
                  <label>Sec.</label>
                  <input type="number" class="form-control" formControlName="tsec" min="0">
                </div>

                <div class="form-group col-12 col-sm-8 col-md-4 col-lg-3 col-xl-3">
                  <label>Cálculo</label>
                  <kendo-combobox [data]="dsCalculo" [textField]="'title'" [valueField]="'id'" [valuePrimitive]="true"
                    formControlName="Calculo" (valueChange)="calculoTarifa($event)" class="form-control">
                  </kendo-combobox>
                </div>
                <div class="form-group col-12 col-sm-8 col-md-8 col-lg-7 col-xl-7">
                  <label>Tarifa Base</label>
                  <kendo-combobox [data]="listTtipo" [textField]="'tdesc'" [valueField]="'Tarifa'"
                    (filterChange)="handleFilter($event)" [valuePrimitive]="true" formControlName="tbase"
                    [readonly]="!myFormGroup.value.Calculo" class="form-control">
                  </kendo-combobox>
                </div>

                <div class="form-group col-6 col-sm-4 col-md-3 col-lg-2 col-xl-2">
                  <label>Redondeo</label>
                  <input type="number" class="form-control" formControlName="mred" min="0" max="999"
                    [readonly]="!myFormGroup.value.Calculo">
                </div>

                <div class="form-group col-6 col-sm-4 col-md-4 col-lg-3 col-xl-3">
                  <label class="w-100">Uso de Semáforos</label>
                  <kendo-switch formControlName="usem" (valueChange)="useSemaforo($event)"></kendo-switch>
                </div>
                <label class="form-group col-12 col-sm-8 col-md-4 col-lg-5 col-xl-5">
                  <label>Semáforo</label>
                  <kendo-multiselect [data]="ttSemaforos" [textField]="'Semaforo'" [valueField]="'Semaforo'"
                    [valuePrimitive]="true" formControlName="Semaforo" [readonly]="!myFormGroup.value.usem"
                    [autoClose]="false">
                  </kendo-multiselect>
                </label>
                <label class="form-group col-12 col-sm-6 col-md-4 col-lg-4 col-xl-4">
                  <label>Tarifas de Semáforos</label>
                  <kendo-multiselect [data]="listTtipo" [textField]="'Tarifa'" [valueField]="'Tarifa'"
                    [valuePrimitive]="true" formControlName="starifa" [autoClose]="false"
                    [readonly]="!myFormGroup.value.usem">
                  </kendo-multiselect>
                </label>
                <ng-container *ngIf="flagEdit">
                  <div class="form-group col-6 col-sm-3 col-md-3 col-lg-2 col-xl-2">
                    <label>Operador</label>
                    <input type="text" class="form-control" formControlName="tope" readonly>
                  </div>
                  <div class="form-group col-6 col-sm-3 col-md-3 col-lg-2 col-xl-2">
                    <label class="w-100">Inactivo</label>
                    <kendo-switch formControlName="Inactivo"></kendo-switch>
                  </div>
                </ng-container>

              </div>
            </ng-template>
          </kendo-tabstrip-tab>

          <kendo-tabstrip-tab title="Notas">
            <ng-template kendoTabContent>
              <div class="row d-flex justify-content-between">
                <label class="col-12">
                  <label>Notas</label>
                  <textarea rows="4" formControlName="Notas" class="form-control"></textarea>
                </label>
              </div>
            </ng-template>
          </kendo-tabstrip-tab>

          <kendo-tabstrip-tab title="Promoción" [disabled]="!myFormGroup.value.tprom">
            <ng-template kendoTabContent>

              <div class="h5 text-center">Para Reservar</div>

              <div class="divider"></div>

              <div class="row">
                <div class="form-group col-12 col-sm-6 col-md-3 col-lg-2 col-xl-2">
                  <label>Desde</label>
                  <kendo-datepicker formControlName="tdesde" [required]="promoActiva  ? '' : null"
                    [format]="kendoFormat" class="form-control">
                  </kendo-datepicker>
                </div>
                <div class="form-group col-12 col-sm-6 col-md-3 col-lg-2 col-xl-2">
                  <label>Hasta</label>
                  <kendo-datepicker formControlName="thasta" [required]="promoActiva  ? true : false"
                    [min]="myFormGroup.value.tdesde" [format]="kendoFormat" class="form-control"></kendo-datepicker>
                </div>
                <div class="form-group col-4 col-sm-3 col-md-3 col-lg-2 col-xl-2">
                  <label>Gratis</label>
                  <input type="number" class="form-control" formControlName="tgratis" min="0">
                </div>
                <div class="form-group col-4 col-sm-3 col-md-3 col-lg-2 col-xl-2">
                  <label>Por Cada</label>
                  <input type="number" class="form-control" formControlName="tnoches" min="0">
                </div>
                <div class="form-group col-4 col-sm-3 col-md-3 col-lg-2 col-xl-2">
                  <label>Mínimo</label>
                  <input type="number" class="form-control" formControlName="tminimo" min="0">
                </div>
                <div class="form-group col-4 col-sm-3 col-md-3 col-lg-2 col-xl-2">
                  <label class="w-100">Prorratea</label>
                  <kendo-switch formControlName="tpt" [onLabel]="'Si'" [offLabel]="'No'">
                  </kendo-switch>
                </div>
                <div class="form-group col-8 col-sm-5 col-md-4 col-lg-3 col-xl-3">
                  <label>Tarifa Cont</label>
                  <kendo-combobox [data]="dsTarifasProm" [textField]="'Tarifa'" [valueField]="'Tarifa'"
                    [filterable]="true" [valuePrimitive]="true" formControlName="ttarifa" class="form-control">
                  </kendo-combobox>
                </div>
                <div class="form-group col-4 col-sm-3 col-md-3 col-lg-2 col-xl-2">
                  <label class="w-100">Continua</label>
                  <kendo-switch formControlName="tcont"></kendo-switch>
                </div>

                <div class="form-group col-8 col-sm-4 col-md-4 col-lg-3 col-xl-3">
                  <label>Tarifa Antes</label>
                  <kendo-combobox [data]="dsTarifasProm" [textField]="'Tarifa'" [valueField]="'Tarifa'"
                    [filterable]="true" [valuePrimitive]="true" formControlName="tantes" class="form-control">
                  </kendo-combobox>
                </div>
                <div class="form-group col-12 col-sm-6 col-md-3 col-lg-2 col-xl-2">
                  <label>Fecha Inicio</label>
                  <kendo-datepicker formControlName="fiantes" [format]="kendoFormat" class="form-control">
                  </kendo-datepicker>
                </div>
                <div class="form-group col-12 col-sm-6 col-md-3 col-lg-2 col-xl-2">
                  <label>Fecha Term</label>
                  <kendo-datepicker formControlName="ftantes" [min]="myFormGroup.value.fiantes" [format]="kendoFormat"
                    class="form-control">
                  </kendo-datepicker>
                </div>
              </div>

            </ng-template>
          </kendo-tabstrip-tab>

        </kendo-tabstrip>
      </fieldset>
    </form>
  </div>
  <div class="modal-footer">
    <button class="btn btn-shadow btn-secondary" (click)="c('Close click');">
      Cerrar
    </button>
  </div>
</ng-template>



<ng-template #modalDetalle let-c="close" let-d="dismiss" class="animated flipInX">
  <div class="modal-header">
    <div class="modal-title">
      <i class="fas fa-calculator mr-2"></i>Detalle de Tarifa {{ tarifa }}
    </div>
    <button class="close" aria-label="Close" (click)="d('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">

    <ng-container *ngIf="!loadingTarifas">
      <form [formGroup]="ngFormDetaTari">

        <div class="row d-flex justify-content-end">
          <button class="btn btn-primary px-4 mr-1" (click)="nuevoDetaTari()">
            <i class="fas fa-plus mr-2" aria-hidden="true"></i>Nuevo
          </button>
          <button class="btn btn-success px-4 mr-1" (click)="guardarDetaTari()" [disabled]="!ngFormDetaTari.valid">
            <i class="fas fa-save mr-2"></i>Guardar
          </button>
          <!-- <button (click)="printPDFdetalle(tarifa)" class="btn btn-danger px-3 mr-1" [disabled]="!tblDeTarifa">
            <i class="far fa-file-pdf mr-2"></i>PDF
          </button> -->
        </div>

        <div class="divider"></div>

        <div class="row">
          <div class="form-group col-12 col-sm-4 col-md-2 col-lg-2">
            <label>Tipo Cuarto</label>
            <kendo-combobox [data]="dsTipoCuartos" [textField]="'tcuarto'" [valueField]="'tcuarto'"
              [valuePrimitive]="true" formControlName="tcuarto" [readonly]="flagEditTarifa" class="w-100" #tcuarto>
            </kendo-combobox>
          </div>
          <div class="form-group col-12 col-sm-4 col-md-2 col-lg-2">
            <label>Fecha Inicio</label>
            <kendo-datepicker formControlName="tfecini" [format]="kendoFormat" class="w-100" [min]="fechaMin"
              [readonly]="ngFormDetaTari.value.tfecini < fechaActual">
            </kendo-datepicker>
          </div>
          <div class="form-group col-12 col-sm-4 col-md-2 col-lg-2">
            <label>Fecha Termino</label>
            <kendo-datepicker formControlName="tfecter" [format]="kendoFormat" [min]="ngFormDetaTari.value.tfecini"
              class="w-100"></kendo-datepicker>
          </div>
          <div class="form-group col-4 col-sm-3 col-md-2 col-lg-2" *ngFor="let i of arrTariCols; let index = index;">
            <label>{{ i }}</label>
            <input type="number" min="0" class="form-control" formControlName="tta{{ index + 1 }}" required>
          </div>

          <div class="form-group col-4 col-sm-3 col-md-2 col-lg-2">
            <label>Adicional</label>
            <input type="number" min="0" class="form-control" formControlName="tta11">
          </div>
          <div class="form-group col-4 col-sm-3 col-md-2 col-lg-2">
            <label>Junior</label>
            <input type="number" min="0" class="form-control" formControlName="ttj11"
                   [readOnly]="!ttInfocia.cjunior">
          </div>
          <div class="form-group col-4 col-sm-3 col-md-2 col-lg-2">
            <label>Menor</label>
            <input type="number" class="form-control" formControlName="ttm11" [readOnly]="!ttInfocia.cmenor"
                   min="0">
          </div>
          <div class="form-group col-12 col-sm-6 col-md-4 col-lg-4">
            <label>Desglose</label>
            <kendo-combobox [data]="dsDesgloses" [textField]="'ddesc'" [valueField]="'Detalle'" [valuePrimitive]="true"
              class="w-100" formControlName="detalle" [readonly]="desgloseDetaTari">
            </kendo-combobox>
          </div>
        </div>
      </form>
      <kendo-grid [kendoGridBinding]="tblDeTarifa" [pageSize]="10" [skip]="0"
        [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}" [selectable]="true"
        (selectionChange)="detalleSelect($event)" style="height: 50vh;">
        <kendo-grid-column field="tcuarto" title="Tipo" width="80"></kendo-grid-column>
        <kendo-grid-column field="tfecini" title="Fec. Ini." width="110">
          <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.tfecini | date: kendoFormat }}</ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="tfecter" title="Fec. Term." width="110">
          <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.tfecter | date: kendoFormat }}</ng-template>
        </kendo-grid-column>
        <kendo-grid-column *ngFor="let i of arrTariCols; let index = index;" field="tta{{ index + 1 }}" title="{{ i }}"
          width="100" class="text-right">
          <ng-template kendoGridCellTemplate let-dataItem let-column="column">
            {{ dataItem[column.field] | kendoNumber:'##.00' }}
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="tta11" title="Adicional" editor="numeric" class="text-right" media="sm">
        </kendo-grid-column>
        <kendo-grid-column field="ttj11" title="Junior" editor="numeric" class="text-right" media="sm">
        </kendo-grid-column>
        <kendo-grid-column field="ttm11" title="Menor" editor="numeric" class="text-right" media="sm">
        </kendo-grid-column>
        <kendo-grid-command-column width="70">
          <ng-template kendoGridCellTemplate let-dataItem>
            <button class="btn btn-danger" (click)="eliminarDetalle(dataItem)">
              <i class="fas fa-trash-alt"></i>
            </button>
          </ng-template>
        </kendo-grid-command-column>
      </kendo-grid>
    </ng-container>
    <app-loading *ngIf="loadingTarifas">Buscando resultados...</app-loading>
  </div>
  <div class="modal-footer">
    <button class="btn btn-shadow btn-secondary" (click)="c('Close click');">
      Cerrar
    </button>
  </div>
</ng-template>



<ng-template #modalSuplemento let-c="close" let-d="dismiss" class="animated flipInX">
  <div class="modal-header">
    <div class="modal-title">
      <i class="fas fa-calculator mr-2"></i>Suplemento de la Tarifa {{ tarifa }}
    </div>
    <button class="close" aria-label="Close" (click)="d('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <app-help-suplementos [tarifa]="tarifaSelected"></app-help-suplementos>
  </div>
  <div class="modal-footer">
    <button class="btn btn-secondary" (click)="c('Close click');">
      Cerrar
    </button>
  </div>
</ng-template>
